Page MenuHomePhabricator

Add ARM64 Windows on Arm buildbots
ClosedPublic

Authored by maxim-kuvyrkov on Sep 5 2020, 4:12 AM.

Details

Summary

This patch adds 2 new machines:

  • linaro-armv8-windows-msvc-01
  • linaro-armv8-windows-msvc-02

and 2 new builders:

  • clang-arm64-windows-msvc
  • clang-arm64-windows-msvc-2stage

to test LLVM on Windows on Arm platform.

The machines are Microsoft Surface X Pro laptops configured for 24x7 workload.

The host build environment is bootstrapped based on LLVM 11 custom build and
uses headers and libraries from MS Visual Studio 2019. To accommodate the custom
setup we add "manual" value for "vs" parameter to ClangBuilder factory, which allows
to use manually pre-configured MSVC environment instead of initializing it during
build by running old-school vcvarsall.bat.

Finally, the bots have known failures in MCJIT unit-tests, which we are working on.
Once the failures are fixed, we'll enable unit-testsuite in both builders.

Diff Detail

Event Timeline

maxim-kuvyrkov created this revision.Sep 5 2020, 4:12 AM
maxim-kuvyrkov requested review of this revision.Sep 5 2020, 4:12 AM
omjavaid accepted this revision.Sep 6 2020, 8:02 PM

Looks good to me.

This revision is now accepted and ready to land.Sep 6 2020, 8:02 PM

Galina, Diana, any other feedback? Or shall I commit the patch?

gkistanova accepted this revision.Sep 10 2020, 4:18 PM

Thanks, Maxim! Looks good.
Please feel free to commit.

This revision was automatically updated to reflect the committed changes.